body {
    overflow: hidden;
    /*visibility: none;*/
    background: linear-gradient(0deg, #232333 0%,#474766 100%);
}

.mainBlock {
    display: flex;
    flex-direction: column;
    /*border: 3px dashed green;*/
    height: calc(100vh - 50px);
    /*display: none;*/
    position: relative;
}

.load {
    position: absolute;
    top: 200px;
    left: 40%;
    z-index: 10;
    /*opacity: 0;*/
    display: none;
}

.content {
    display: flex;
    flex: 1 1 auto;
    z-index: 1;
    /*height: 93vh;*/
    height: calc(100% - 50px);
    /*background: linear-gradient(0deg, #232333 0%,#474766 70%);*/
    background-color: #232333;
}



    /*** TAGS START ****/

.tagsBlock {
    /*border: 2px dashed white;*/
    /*width: 140px;*/
    height: calc(100vh - 50px);
    display: flex;
    /*align-items: center;*/
    /*flex-direction: column;*/
    /*flex-wrap: wrap;*/
    /*overflow: auto;*/
    /*display: none;*/

    /*background: -webkit-linear-gradient(#0052A5 180%, #004182 70%);
    background: -o-linear-gradient(#0052A5 180%, #004182 70%);*/
    background: linear-gradient(0deg, #232333 0%,#474766 70%);
    /*visibility: hidden;*/
}

.mainTagsBlock {
    /*visibility: hidden;*/
    justify-content: center;
    /*align-items: flex-start;*/
    height: auto;
    flex-wrap: wrap;
    margin: 0px 10px 0px 10px;
}

.tag {
    width: 50%;
    /*height: 41px;*/
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: cell;
    background-position: 50% 50%;
    background-size: cover;
    /*border: 2px dashed black;*/
}

.tagHover:hover {
    opacity: 0.8;
    box-shadow: inset 0px 0px 8px 2px #C9D5E0;
}

.tag img, .search img, .search_spare img {
    width: 100%;
}

.tag_title {
    /*position: absolute;*/
    /*top: 2px;*/
    /*left: 2px;*/
    /*color: white;*/
    font-weight: bold;    
    color: #CECEE5;
    /*font-size: 15px;*/
    /*display: none;*/
}

.search, .search_spare {
    width: 50%;
    cursor: pointer;
}

.search_blink {
    animation: search_blink;
    animation-duration: 0.15s;
    animation-fill-mode: forwards;
    /*animation-iteration-count: infinite;    */
}

@keyframes search_blink {
  0% { opacity: 1 }
  50% { opacity: 0.5 }
  100% { opacity: 1; }

}

.tagActive {
    /*border: 2px solid white;*/
    box-shadow: inset 0px 0px 10px 8px #C9D5E0;
}

    /*** TAGS END ******/


    /*** AD START ****/
.adDesktop {
    margin: 10px 10px 0px 10px;
    display: none;
}

.adDesktop img {
    width: 100%;
}

.adMobile01 {
    display: none;
    position: absolute;
    bottom: 0;
    width: 100%;
}

.adMobile01 img {
    width: 100%;
    z-index: 100;
}

.adQuestion {
    display: none;
    justify-content: center;
    align-items: center;
    position: absolute;
    bottom: 0;
    left: 0;
    height: 50px;
    width: 40px;
    /*width: 7%;*/
    z-index: 1000;
    box-shadow: inset 0px 0px 2px 2px #C9D5E0;
    color: #CECEE5;
    font-size: 32px;
}

.adQuestion img {
    height: 50px;
}

.adQuestionDesktop {
    margin: 10px 10px 0px 10px;
    box-shadow: inset 0px 0px 2px 2px #C9D5E0;
    padding: 5px 0;
    color: #CECEE5;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
}

    /*** AD END ******/


    /*** ART START ****/

.artBlock {
    /*border: 2px dashed orange;*/
    /*display: flex;*/
    /*flex-direction: column;*/
    /*border: 3px dashed white;*/
    /*height: 100%;*/
    position: relative;
    display: flex;
    flex: 1 1 auto;
    flex-direction: column;
    justify-content: flex-end;
    align-items: center;
    /*padding-left: 50px;*/
    overflow: hidden;
    /*background: linear-gradient(0deg, #232333 0%,#474766 80%);*/
    /*background-color: #004182;*/
    
    /*display: none;*/
}

.commWidth {
    background-position: 50% 50%;
    background-size: auto 100%;
    background-repeat: no-repeat;
}

.bigWidth {
    background-position: 50% 50%;
    background-size: contain;
    background-repeat: no-repeat;
}

/*.artBlock > img {
    height: 70%; 
    margin-top: 10%;
    display: none;
}*/

.leftMins {
    /*border: 2px dashed white;*/
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    display: flex;
    flex-direction: column;
    /*background-color: black;*/
    /*opacity: 0.2;*/
    /*filter: none;*/
}

.rightMins {
    /*border: 2px dashed white;*/
    position: absolute;
    top: 0;
    right: 0;
    height: 100%;
    display: flex;
    flex-direction: column;
    /*background-color: black;*/
    /*opacity: 0.2;*/
    /*filter: none;*/
}

.rightMins .min {
    display: flex;
    justify-content: flex-end;
    /*display: none;*/
}

.min {
    /*border: 2px dashed red;*/
    width: 1vw;
    /*height: 20%;    */
    height: calc(100% / 6);
    background-position: 50% 50%;
    background-size: cover; 
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    /*display: none;*/
    /*opacity: 0.2;*/
    /*filter: blur(10px);*/
    filter: none;
}
    
.blur {
    overflow: hidden;
    /*filter: blur(4px);*/
    filter: blur(0.5rem);
    /*transform: scale(1.2);*/
    /*box-shadow: inset 0px 0px 0px 7px white;*/
}

.min_img {
    position: absolute; 
    top: 20%; 
    left: 20%; 
    /*width: 70%; */
    /*height: 50%;*/
    /*display: none;*/
    /*margin: 30px;*/
}

.ratingBlock {
    width: 500px;
    display: flex;
    justify-content: center;
    align-items: center;
    /*order: -3;*/
    opacity: 0.4;
    position: absolute;
    top: 0;
}

.ratingBlock_active {
    animation: ratingBlock_active;
    animation-duration: 0.25s;
    animation-fill-mode: forwards;
}

@keyframes ratingBlock_active {
  0% { opacity: 0.4 }
  100% { opacity: 1 }

}

.ratingBlock_deactive {
    animation: ratingBlock_deactive;
    animation-duration: 0.25s;
    animation-fill-mode: forwards;
}

@keyframes ratingBlock_deactive {
  0% { opacity: 1 }
  100% { opacity: 0.4 }

}

.star, .star_false, .star_not_confirmed {
    height: 50px; 
    margin: 0 10px; 
    opacity: 0.4;
    cursor: pointer;
}

.star_false, .star_not_confirmed {
    cursor: not-allowed;
}

.star_active {
    animation: starActive;
    animation-duration: 0.3s;
    animation-fill-mode: forwards;
}

@keyframes starActive {
  0% { transform: scale(1); opacity: 0.7 }
  100% { transform: scale(1.25); opacity: 1 }

}

.star_deactive {
    animation: starDeactive;
    animation-duration: 0.3s;
    animation-fill-mode: forwards;
}

@keyframes starDeactive {
  0% { transform: scale(1.25); opacity: 1 }
  100% { transform: scale(1); opacity: 0.4 }

}

.shineStar {
    animation: shineStar;
    animation-duration: 3s;
    animation-fill-mode: forwards;
}

@keyframes shineStar {
  0% { transform: scale(1); opacity: 1 }
  60% { opacity: 1 }
  99% { transform: scale(2) rotate(1080deg); opacity: 0 }
  100% { transform: translateY(-1000px) }

}

.dimStar {
    animation: dimStar;
    animation-duration: 3s;
    animation-fill-mode: forwards;
}

@keyframes dimStar {
  0% { transform: scale(1); opacity: 1 }
  99% { transform: scale(0.2) rotate(-720deg); opacity: 0 }
  100% { transform: translateY(-1000px) }

}

.nsfwBlock {
    width: 500px;
    display: flex;
    justify-content: center;
    align-items: center;
    order: 3;
    margin-top: 20px;
    padding: 10px;
    background: orange;
    font-size: 20px;
    line-height: 0.9;
    opacity: 0.8;
    border: 6px solid white;
    cursor: pointer;
    position: absolute;
    top: 20px;
    padding: 10px;
}

.nsfwBlock:hover {
    opacity: 1;
}

.blockForHideMins {
    /*position: absolute;*/
    /*margin-top: 8%;*/
    /*left: 40%;*/
    /*height: 70%;*/
    /*width: 20%;*/
    /*border: 6px dashed white;*/
    z-index: 9
    /*order: -2;*/
}

.siblingWrap {
    /*display: flex;
    flex-direction: row;*/
    position: absolute;
    bottom: 0px;
    max-width: 700px;
    /*padding: 0 30px;*/
    overflow-x: auto;
    /*overflow-y: hidden;*/
    white-space: nowrap;
    /*border: 2px dashed white;*/
    height: 144px;
    opacity: 0.4;
    /*overflow-y: scroll;*/
    /*left: 200px;*/
    /*max-width: 300px;*/
    /*padding: 0 20px;*/
    /*overflow-x: scroll;*/
    /*overflow-y: scroll;*/
    display: flex;
    justify-content: flex-start;
    align-items: center;
    animation: sibling_blink;
    animation-duration: 8s;
    animation-fill-mode: forwards;
    animation-iteration-count: infinite;

}

.siblingWrap::-webkit-scrollbar-track {
background-color:#474766; /* цвет фона */
}

.siblingWrap::-webkit-scrollbar-thumb {
-webkit-border-radius: 5px;
border-radius: 5px;
background-color:#232333; /* цвет ползунка */
}

.siblingWrap::-webkit-scrollbar{
height: 22px;
width: 7px;
}

.siblingBlock {
    /*display: flex;
    flex-direction: row;*/
    /*position: absolute;*/
    /*bottom: 30px;*/
    /*left: 200px;*/
    display: flex;
    padding: 0 40px;
    /*margin: 0 20px;*/
    /*border: 2px dashed orange;*/
    /*overflow-x: scroll;*/

}

@keyframes sibling_blink {
  0% { opacity: 0.4 }
  45% { opacity: 0.4 }
  50% { opacity: 0.8 }
  55% { opacity: 0.4 }
  100% { opacity: 0.4; }

}

.siblingThumb {
    width: 60px;
    height: 60px;
    overflow: hidden;
    position: relative;
    /*border: 3px dashed white;*/

    /*order: 10;*/
}

.siblingThumb img {
    width: 100%;
}

.play-icon-sibling-line {
    position: absolute;
    top: 10px;
    left: 10px;
}

.siblingThumbActive {
    animation: siblingThumbActive;
    animation-duration: 0.3s;
    animation-fill-mode: forwards;
}

@keyframes siblingThumbActive {
  0% { transform: scale(1) }
  100% { transform: scale(2) }
}

.siblingThumbDeactive {
    animation: siblingThumbDeactive;
    animation-duration: 0.3s;
    animation-fill-mode: forwards;
}

@keyframes siblingThumbDeactive {
  0% { transform: scale(2); }
  100% { transform: scale(1) }
}

.siblingThumbActiveLeft {
    animation: siblingThumbActiveLeft;
    animation-duration: 0.3s;
    animation-fill-mode: forwards;
}

@keyframes siblingThumbActiveLeft {
  0% { transform: translateX(0px) }
  100% { transform: translateX(-30px) }
}

.siblingThumbActiveRight {
    animation: siblingThumbActiveRight;
    animation-duration: 0.3s;
    animation-fill-mode: forwards;
}

@keyframes siblingThumbActiveRight {
  0% { transform: translateX(0px) }
  100% { transform: translateX(30px) }
}

.siblingThumbDeactiveLeft {
    animation: siblingThumbDeactiveLeft;
    animation-duration: 0.3s;
    animation-fill-mode: forwards;
}

@keyframes siblingThumbDeactiveLeft {
  0% { transform: translateX(-30px) }
  100% { transform: translateX(0px) }
}

.siblingThumbDeactiveRight {
    animation: siblingThumbDeactiveRight;
    animation-duration: 0.3s;
    animation-fill-mode: forwards;
}

@keyframes siblingThumbDeactiveRight {
  0% { transform: translateX(30px) }
  100% { transform: translateX(0px) }
}

.blur_s {
    /*filter: blur(2px);*/
    filter: blur(0.3rem);
}

.siblingOther {
    border: 2px solid black;
}

.siblingCurrent {
    border: 2px solid white;
}

.hideSiblingBlock {
    animation: hideSiblingBlock;
    animation-duration: 0.5s;
    animation-fill-mode: forwards;
    /*transform-origin: 50% 50%;*/
}

@keyframes hideSiblingBlock {
  0% { opacity: 0.4; }
  100% { transform: translateY(40px); opacity: 0.1; }

}

.showSiblingBlock {
    animation: showSiblingBlock;
    animation-duration: 0.5s;
    animation-fill-mode: forwards;
    /*transform-origin: 50% 50%;*/
}

@keyframes showSiblingBlock {
  0% { transform: translateY(40px); opacity: 0.1 }
  100% { transform: translateY(0px); opacity: 0.4; }

}

.showSiblingsThumbs {
    animation: showSiblingsThumbs;
    animation-duration: 0.5s;
    animation-fill-mode: forwards;
    /*transform-origin: 50% 50%;*/
}

@keyframes showSiblingsThumbs {
  0% { opacity: 0.4; }
  100% { opacity: 1; }

}

.hideSiblingsThumbs {
    animation: hideSiblingsThumbs;
    animation-duration: 0.5s;
    animation-fill-mode: forwards;
    /*transform-origin: 50% 50%;*/
}

@keyframes hideSiblingsThumbs {
  0% { opacity: 1; }
  100% { opacity: 0.4; }

}



























.hideTagsBlock {
    animation: hideTagsBlock;
    animation-duration: 0.5s;
    animation-fill-mode: forwards;
    /*transform-origin: 50% 50%;*/
}

@keyframes hideTagsBlock {
  0% {  }
  100% { transform: translateX(-40px); opacity: 0.5; }

}

.hideInfoBlock {
    animation: hideInfoBlock;
    animation-duration: 0.5s;
    animation-fill-mode: forwards;
    /*transform-origin: 50% 50%;*/
}

@keyframes hideInfoBlock {
  0% {  }
  100% { transform: translateX(40px); opacity: 0.5; }

}

.showTagsBlock {
    animation: showTagsBlock;
    animation-duration: 0.5s;
    animation-fill-mode: forwards;
    /*transform-origin: 50% 50%;*/
}

@keyframes showTagsBlock {
  0% { transform: translateX(-40px); opacity: 0.5 }
  100% { transform: translateX(0px); opacity: 1; }

}

.showInfoBlock {
    animation: showInfoBlock;
    animation-duration: 0.5s;
    animation-fill-mode: forwards;
    /*transform-origin: 50% 50%;*/
}

@keyframes showInfoBlock {
  0% { transform: translateX(40px); opacity: 0.5 }
  100% { transform: translateX(0px); opacity: 1; }

}










.hideRatingBlock {
    animation: hideRatingBlock;
    animation-duration: 0.5s;
    animation-fill-mode: forwards;
    /*transform-origin: 50% 50%;*/
}

@keyframes hideRatingBlock {
  0% { opacity: 0.4; }
  100% { transform: translateY(-40px); opacity: 0; }

}

.showRatingBlock {
    animation: showRatingBlock;
    animation-duration: 0.5s;
    animation-fill-mode: forwards;
    /*transform-origin: 50% 50%;*/
}

@keyframes showRatingBlock {
  0% { transform: translateY(-40px); opacity: 0 }
  100% { transform: translateY(0px); opacity: 0.4; }

}













/*.artBlock img {
    height: 100%;
}

.minClick {
    animation: minClick;
    animation-duration: 0.6s;
    animation-fill-mode: forwards;
}

@keyframes minClick {
  0% { transform: scale(1); transform-origin: 50% 50%; opacity: 1; }
  80% { transform: scale(0.5) translateX(0%) translateY(0%); transform-origin: 50% 50%; opacity: 1; }
  100% { transform: scale(1) translateX(0%) translateY(0%); transform-origin: 50% 50%; opacity: 0; }
}*/

    /*** ART END ******/


    /*** INFO START ****/

.infoBlock {
    /*border: 5px dashed black;*/
    height: 100%;
    width: 280px;
    /*background: -webkit-linear-gradient(#0052A5 0%, #004182 70%);
    background: -o-linear-gradient(#0052A5 0%, #004182 70%);*/
    background: linear-gradient(0deg, #232333 0%,#474766 80%);
    /*padding: 20px 20px 20px 20px;*/
    display: flex;
    flex-direction: column;
    overflow-y: auto;
    /*justify-content: space-between;*/
    /*display: none;*/
}

.infoBlock::-webkit-scrollbar-track {
background-color:#474766; /* цвет фона */
}

.infoBlock::-webkit-scrollbar-thumb {
-webkit-border-radius: 5px;
border-radius: 5px;
background-color:#232333; /* цвет ползунка */
}

.infoBlock::-webkit-scrollbar{
width: 7px;
}

.infoWrap {
    /*border: 5px solid yellow;*/
    /*height: 250px;*/
    padding: 10px;
    flex: 1 1 auto;
}

.infoWrap p {
    font-size: 16px;
    color: #CECEE5;
    line-height: 90%;
}

.button {
    display: flex;
    justify-content: center;
    align-items: center;
    margin-bottom: 5px;
    /*width: 150px;*/
    width: 100%;
    height: 40px;
    font-size: 16px;
    background: linear-gradient(0deg, #232333 0%,#474766 100%);
    color: #CECEE5;
}

.button:hover {
    color: #CECEE5;
    text-decoration: none;
    cursor: pointer;
    background: linear-gradient(180deg, #232333 0%,#474766 100%);
    box-shadow: 3px 3px 5px 1px #232333;    
}

.empty_source, .unreg, .favUnreg, .already_pointed_source {
    opacity: 0.5;
}

.favAdded, .favAdded:hover {
    box-shadow: inset 0px 0px 5px 4px #C9D5E0;
}

.buttonFavHide {
    display: none;
}

.support_block {
    position: absolute;
    width: 80%;
    min-height: 400px;
    margin-left: 10%;
    margin-top: 2%;
    /*height: 200px;*/
    /*border: 4px dashed white;*/
    background-color: #1E5799;
    z-index: 10;
    display: flex;
    flex-direction: column-reverse;
    align-items: center;
    visibility: hidden;
    box-shadow: 20px 20px 70px 00px #A8AEFF;
    /*display: none;*/
    /*background: linear-gradient(#0052A5 0%, #004182 70%);*/
    background: linear-gradient(180deg, #232333 0%,#474766 80%);
    color: #CECEE5;
    font-weight: bold;
}

.author, .nsfwAccess {
    position: absolute;
    width: 60%;
    margin-left: 20%;
    margin-top: 2%;
    /*height: 200px;*/
    /*border: 4px dashed white;*/
    background-color: #1E5799;
    z-index: 10;
    display: flex;
    flex-direction: column-reverse;
    align-items: center;
    visibility: hidden;
    box-shadow: 20px 20px 70px 00px #A8AEFF;
    /*display: none;*/
    /*background: linear-gradient(#0052A5 0%, #004182 70%);*/
    background: linear-gradient(180deg, #232333 0%,#474766 80%);
    color: #CECEE5;
    font-weight: bold;
}

.already_pointed, .author_unreg, .fav_unreg, .adInfo {
    position: absolute;
    width: 60%;
    margin-left: 20%;
    margin-top: 2%;
    /*height: 200px;*/
    /*border: 4px dashed white;*/
    background-color: #1E5799;
    z-index: 10;
    display: flex;
    flex-direction: column-reverse;
    /*flex-direction: column;*/
    align-items: center;
    visibility: hidden;
    box-shadow: 20px 20px 70px 00px #A8AEFF;
    /*display: none;*/
    /*background: linear-gradient(#0052A5 0%, #004182 70%);*/
    background: linear-gradient(180deg, #232333 0%,#474766 80%);
    color: #CECEE5;
    font-weight: bold;
}

.author p, .nsfwAccess p, .already_pointed p, .author_unreg p, .fav_unreg p, .support_block p, .adInfo p {
    order: 5;
    padding: 20px 20px 0 20px;
    font-size: 30px;
}

.setAuthor, .nsfwAccessAllow, .nsfwForm, .enterSupport {
    order: 4;
    /*background: linear-gradient(#0052A5 0%, #004182 70%);*/
    background: linear-gradient(180deg, #232333 20%,#474766 100%);
    /*width: 300px;*/
    width: 100%;
    height: 40px;
    display: flex;
    align-items: center;
    justify-content: center;
    color: #CECEE5;
    text-decoration: none;
    /*visibility: hidden;*/
}

/*.setAuthor a {*/
/*    color: white;*/
/*    text-decoration: none;*/
/*}*/

.exitAuthor, .nsfwAccessDisallow, .exitUnreg, .exit_already_pointed, .exit_fav, .exitAdInfo {
    order: 3;
    /*background: linear-gradient(#0052A5 0%, #004182 70%);*/
    background: linear-gradient(180deg, #232333 20%,#474766 100%);
    cursor: pointer;
    width: 100%;
    height: 40px;
    display: flex;
    align-items: center;
    justify-content: center;
    /*visibility: hidden;*/
}

.exit_already_pointed {
    order: 1;
    /*background: linear-gradient(#0052A5 0%, #004182 70%);*/
    background: linear-gradient(180deg, #232333 20%,#474766 100%);
    cursor: pointer;
    width: 100%;
    height: 40px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.setAuthor a:hover, .enterSupport a:hover {
    color: #CECEE5;
}

.setAuthor:hover, .exitAuthor:hover, .nsfwAccessAllow:hover, .nsfwAccessDisallow:hover, .exitUnreg:hover, .exit_fav:hover, .enterSupport:hover, .exitSupport:hover {
    /*animation: rotate;*/
    /*animation-duration: 1s;*/
    /*animation-fill-mode: forwards;*/
    /*visibility: hidden;*/
    text-decoration: none;
    color: #CECEE5;
    /*background: linear-gradient(180deg, #004182 0%,#0066CC 30%,#00468C 50%,#0052A5 80%);*/
    background: linear-gradient(0deg, #232333 0%,#474766 80%);
}

.exit_already_pointed:hover {
    background: linear-gradient(0deg, #232333 20%,#474766 100%);
}



.showAuthor {
    animation: showAuthor;
    animation-duration: 1s;
    animation-fill-mode: forwards;
}

@keyframes showAuthor {
  0% { visibility: visible; opacity: 0; }
  100% { transform: translateY(50px); opacity: 1; visibility: visible;}

}

.hideAuthor {
    animation: hideAuthor;
    animation-duration: 1s;
    animation-fill-mode: forwards;
}

@keyframes hideAuthor {
  0% { visibility: visible; opacity: 1; transform: translateY(50px)}
  100% { transform: translateY(-50px); opacity: 0; visibility: hidden;}

}



.showSupport {
    animation: showSupport;
    animation-duration: 1s;
    animation-fill-mode: forwards;
}

@keyframes showSupport {
  0% { visibility: visible; opacity: 0; }
  100% { transform: translateY(50px); opacity: 1; visibility: visible;}

}

.hideSupport {
    animation: hideSupport;
    animation-duration: 1s;
    animation-fill-mode: forwards;
}

@keyframes hideSupport {
  0% { visibility: visible; opacity: 1; transform: translateY(50px)}
  100% { transform: translateY(-50px); opacity: 0; visibility: hidden;}

}



.showUnreg {
    animation: showUnreg;
    animation-duration: 1s;
    animation-fill-mode: forwards;
}

@keyframes showUnreg {
  0% { visibility: visible; opacity: 0; }
  100% { transform: translateY(50px); opacity: 1; visibility: visible;}

}

.hideUnreg {
    animation: hideUnreg;
    animation-duration: 1s;
    animation-fill-mode: forwards;
}

@keyframes hideUnreg {
  0% { visibility: visible; opacity: 1; transform: translateY(50px)}
  100% { transform: translateY(-50px); opacity: 0; visibility: hidden;}

}



.showFav {
    animation: showFav;
    animation-duration: 1s;
    animation-fill-mode: forwards;
}

@keyframes showFav {
  0% { visibility: visible; opacity: 0; }
  100% { transform: translateY(50px); opacity: 1; visibility: visible;}

}

.hideFav {
    animation: hideFav;
    animation-duration: 1s;
    animation-fill-mode: forwards;
}

@keyframes hideFav {
  0% { visibility: visible; opacity: 1; transform: translateY(50px)}
  100% { transform: translateY(-50px); opacity: 0; visibility: hidden;}

}




.showNsfwAccess {
    animation: showNsfwAccess;
    animation-duration: 1s;
    animation-fill-mode: forwards;
}

@keyframes showNsfwAccess {
  0% { visibility: visible; opacity: 0; }
  100% { transform: translateY(50px); opacity: 1; visibility: visible;}

}

.hideNsfwAccess {
    animation: hideNsfwAccess;
    animation-duration: 1s;
    animation-fill-mode: forwards;
}

@keyframes hideNsfwAccess {
  0% { visibility: visible; opacity: 1; transform: translateY(50px)}
  100% { transform: translateY(-50px); opacity: 0; visibility: hidden;}

}


.info_strings {
    padding-top: 10px;
    padding-left: 5px;
}

.comments {
    /*border: 5px solid yellow;*/
    color: #CECEE5;
    /*flex: 1 1 auto;*/
    height: auto;
    /*max-height: 50vh;*/
    overflow: auto;
    /*display: none;*/
    padding: 5px;
    margin-bottom: 70px;
}

.comment {
    /*background: linear-gradient(#0052A5 0%, #004182 70%);*/
    background: linear-gradient(0deg, #232333 0%,#474766 100%);
    padding: 5px;
    padding-top: 10px;
    /*border: 2px dashed white;*/
    /*font-size: 6px;*/
    /*height: 50px;*/
}

.comment p {
    font-size: 14px;
}

.comment p:nth-child(3) {
    
    /*text-align: justify;*/
    line-height: 1.1;
}

.comment_image {
    height: 40px;
    float: left;
    /*margin: 5px;*/
    margin-right: 10px;
}

.form_not_register {
    /*border: 5px solid yellow;*/
    position: relative;
    height: 90px;
    font-size: 16px;
    color: #CECEE5;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 15px;
    background: linear-gradient(0deg, #232333 0%,#474766 80%);
    cursor: not-allowed;
    opacity: 0.4;
    /*display: none;*/
}

.form_not_register:hover {
    opacity: 1;
}

.commentsForm {
    /*border: 5px solid yellow;*/
    position: relative;
    height: 90px;
    /*display: none;*/
}

.commentsForm textarea {
    border-radius: 0;
    position: absolute;
    left: 0;
    bottom: 36px;
    height: 80px;
    background-color: #474766;
    color: #CECEE5;
}

.commentsForm button {
    border-radius: 0;
    position: absolute;
    left: 0;
    bottom: 0px;
    height: 36px;
    width: 100%;
    background-color: #474766;
    color: #CECEE5;
}

.commentsForm button:hover {
    color: #CECEE5;
}

    /*** INFO END ******/


body {
    /*background-color: green;*/
}

.flash {
    position: absolute;
    top: 200px;
    margin-left: 30%;
    padding: 0 20px;
    width: 40%;
    min-height: 150px;
    /*background: linear-gradient(180deg, #0052A5 0%,#00468C 30%,#0066CC 50%,#004182 80%);*/
    background: linear-gradient(180deg, #232333 0%,#474766 80%);
    color: white;
    font-size: 32px;
    z-index: 10;
    display: flex;
    justify-content: center;
    align-items: center;
    visibility: hidden;
    color: #CECEE5;
}

.showFlash {
    animation: showFlash;
    animation-duration: 1s;
    animation-fill-mode: forwards;
}

@keyframes showFlash {
  0% { visibility: visible; opacity: 0; }
  100% { transform: translateY(50px); opacity: 1; visibility: visible;}

}

.hideFlash {
    animation: hideFlash;
    animation-duration: 1s;
    animation-fill-mode: forwards;
}

@keyframes hideFlash {
  0% { transform: translateY(50px); opacity: 1; visibility: visible;}
  100% { transform: translateY(100px); visibility: hidden; opacity: 0; }

}

.switchLang {
    position: absolute;
    width: 20%;
    /*margin-left: 40%;
    margin-top: 25%;*/
    padding-top: 10px;
    text-align: center;
    /*height: 200px;*/
    /*border: 4px dashed white;*/
    background-color: #1E5799;
    z-index: 10;
    display: flex;
    flex-direction: column;
    align-items: center;
    /*visibility: hidden;*/
    opacity: 0;
    box-shadow: 20px 20px 70px 00px #A8AEFF;
    /*display: none;*/
    /*background: linear-gradient(#0052A5 0%, #004182 70%);*/
    background: linear-gradient(180deg, #232333 0%,#474766 80%);
    color: #CECEE5;
    font-weight: bold;
}

.showSwitchLang {
    animation: showSwitchLang;
    animation-duration: 1s;
    animation-fill-mode: forwards;
}

@keyframes showSwitchLang {
  0% { transform: translate(-160px, -80px) scale(0.1);  opacity: 0; }
  /*20% { opacity: 0.75; }*/
  100% { transform: translate(20px, 20px) scale(1); opacity: 1; }

}

.hideSwitchLang {
    animation: hideSwitchLang;
    animation-duration: 1s;
    animation-fill-mode: forwards;
}

@keyframes hideSwitchLang {
  0% { transform: translate(20px, 20px) scale(1); opacity: 1; }
  /*20% { opacity: 0.75; }*/
  100% { transform: translate(-160px, -80px) scale(0.1); opacity: 0; display: none; }

}

.exitSwitchLang, .goToNewArts {
    order: 3;
    /*background: linear-gradient(#0052A5 0%, #004182 70%);*/
    background: linear-gradient(180deg, #232333 20%,#474766 100%);
    cursor: pointer;
    width: 100%;
    height: 40px;
    display: flex;
    align-items: center;
    justify-content: center;    
    color: #CECEE5;
}

.exitSwitchLang:hover, .goToNewArts:hover {
    text-decoration: none;
    color: #CECEE5;
    background: linear-gradient(0deg, #232333 0%,#474766 80%);
}